.ds Vv 1.2.14
.TH VistaIORepn 3 "21 January 1994" "VistaIO Version \*(Vv"
.SH NAME
VistaIORepnName, VistaIORepnSize, etc. \- obtain information about a type's representation
.SH SYNOPSIS
.ft B
.nf
typedef enum {
.RS
.fi
.ad l
.nh
VistaIOUnknownRepn,
.br
VistaIOBitRepn, VistaIOUByteRepn, VistaIOSByteRepn, VistaIOShortRepn, VistaIOLongRepn,
.br
VistaIOFloatRepn, VistaIODoubleRepn,
.br
VistaIOAttrListRepn, VistaIOBooleanRepn, VistaIOBundleRepn, VistaIOListRepn, VistaIOPointerRepn,
VistaIOStringRepn,
.br
VistaIOEdgesRepn, VistaIOImageRepn
.hy
.ad
.nf
.RE
} VistaIORepnKind;
.PP
.B "VistaIOBoolean VistaIOIsFloatPtRepn (VistaIORepnKind \fIrepn\fP)"
.PP
.B "VistaIOBoolean VistaIOIsIntegerRepn (VistaIORepnKind \fIrepn\fP)"
.PP
.B "VistaIOStringConst VistaIORepnName (VistaIORepnKind \fIrepn\fP)"
.PP
.B "VistaIODouble VistaIORepnMaxValue (VistaIORepnKind \fIrepn\fP)"
.PP
.B "VistaIODouble VistaIORepnMinValue (VistaIORepnKind \fIrepn\fP)"
.PP
.B "int VistaIORepnPrecision (VistaIORepnKind \fIrepn\fP)"
.PP
.B "size_t VistaIORepnSize (VistaIORepnKind \fIrepn\fP)"
.SH ARGUMENTS
.IP \fIrepn\fP 10n
Specifies the data type about which information is sought.
.SH DESCRIPTION
These macros return information about Vista data types, each of which is 
identified by one of the \fBVistaIORepnKind\fP series of integer codes. 
.PP
\fBVistaIOIsFloatPtRepn\fP returns 
.SB TRUE
if \fIrepn\fP is \fBVistaIOFloatRepn\fP or \fBVistaIODoubleRepn\fP.
.PP
\fBVistaIOIsIntegerRepn\fP returns
.SB TRUE
if \fIrepn\fP is \fBVistaIOBitRepn\fP, \fBVistaIOUByteRepn\fP, \fBVistaIOSByteRepn\fP, 
\fBVistaIOShortRepn\fP, or \fBVistaIOLongRepn\fP. 
.PP
\fBVistaIORepnName\fP returns a string naming the specified type. For example, 
when \fIrepn\fP is \fBVistaIOBitRepn\fP it returns ``bit''. 
.PP
\fBVistaIORepnMaxValue\fP returns the maximum value that can be represented by the 
specified type.
.PP
\fBVistaIORepnMinValue\fP returns the minimum (most negative) value that can be 
represented by the specified type. 
.PP
\fBVistaIORepnPrecision\fP returns the minimum number of bits needed to represent
the specified type on any machine.
.PP
\fBVistaIORepnSize\fP returns the size, in bytes, of the specified type on
the present machine.
.SH "SEE ALSO"
.BR VistaIOConst (3),

.SH NOTES
\fBVistaIORepnMaxValue\fP, \fBVistaIORepnMinValue\fP, and \fBVistaIORepnPrecision\fP are 
undefined (and return 0) if \fIrepn\fP isn't \fBVistaIOBitRepn\fP through 
\fBVistaIODoubleRepn\fP, or \fBVistaIOBooleanRepn\fP.
.PP
A new value in the \fBVistaIORepnKind\fP series is assigned by 
\fBVistaIORegisterType\fP when it is called to register a new object type. That 
new value can be used in a call to any of these macros \(em all return 0 or 
.SB FALSE
except \fBVistaIORepnName\fP, which returns the name of the newly registered 
type.
.SH AUTHOR
Art Pope <pope@cs.ubc.ca>

Adaption to vistaio: Gert Wollny <gw.fossdev@gmail.com>
